FROM costbase_package_new_node_npm as build

WORKDIR /home/ConstructionCost

COPY package.json /home/ConstructionCost/

RUN npm install

FROM base-alpine-new-node:latest


COPY . /home/YangHuCost

WORKDIR /home/YangHuCost

COPY --from=build /home/ConstructionCost/node_modules /home/YangHuCost/node_modules/

RUN gulp build

ENV NODE_ENV=prod

ENTRYPOINT ["npm", "run"]

CMD ["server"]


